Package net.shibboleth.idp.attribute.filter.policyrule.saml.impl

# Class ProxiedRequesterProtocolSupportPolicyRule

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractProtocolSupportPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.ProxiedRequesterProtocolSupportPolicyRule

All Implemented Interfaces:
  `PolicyRequirementRule`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ProxiedRequesterProtocolSupportPolicyRule extends AbstractProtocolSupportPolicyRule
Concrete implementation of a Policy Rule to match against the Proxied Requestor's role's supported protocols.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`PolicyRequirementRule.Tristate`

## Field Summary

### Fields inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`MATCHES_ALL, MATCHES_NONE, REQUIREMENT_RULE_FAILS`

## Constructor Summary

Constructors
Constructor
Description
`ProxiedRequesterProtocolSupportPolicyRule()`

## Method Summary

Modifier and Type
Method
Description
`protected RoleDescriptor`
`getRoleDescriptor(AttributeFilterContext filterContext)`
Gets the `RoleDescriptor` we are interested in.

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractProtocolSupportPolicyRule

`doInitialize, getProtocol, matches, setProtocol`

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule

`getLogPrefix`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### ProxiedRequesterProtocolSupportPolicyRule

public ProxiedRequesterProtocolSupportPolicyRule()

## Method Details

### getRoleDescriptor

@Nullable protected RoleDescriptor getRoleDescriptor(@Nonnull AttributeFilterContext filterContext)
Gets the `RoleDescriptor` we are interested in.

Specified by:
  `getRoleDescriptor` in class `AbstractProtocolSupportPolicyRule`
Parameters:
  `filterContext` - current filter request context
Returns:
  the RoleDescriptr